Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
OnigMetaCharTableType Struct Reference

`#include <oniguruma.h>`

## Data Fields
OnigCodePoint | esc
OnigCodePoint | anychar
OnigCodePoint | anytime
OnigCodePoint | zero_or_one_time
OnigCodePoint | one_or_more_time
OnigCodePoint | anychar_anytime

## Detailed Description

Definition at line 150 of file ripper.y.

## Field Documentation

OnigCodePoint OnigMetaCharTableType::anychar

Definition at line 152 of file ripper.y.

Referenced by onig_set_meta_char().

OnigCodePoint OnigMetaCharTableType::anychar_anytime

Definition at line 156 of file ripper.y.

Referenced by onig_set_meta_char().

OnigCodePoint OnigMetaCharTableType::anytime

Definition at line 153 of file ripper.y.

Referenced by onig_set_meta_char().

OnigCodePoint OnigMetaCharTableType::esc

Definition at line 151 of file ripper.y.

Referenced by onig_set_meta_char().

OnigCodePoint OnigMetaCharTableType::one_or_more_time

Definition at line 155 of file ripper.y.

Referenced by onig_set_meta_char().

OnigCodePoint OnigMetaCharTableType::zero_or_one_time

Definition at line 154 of file ripper.y.

Referenced by onig_set_meta_char().

The documentation for this struct was generated from the following file:

- include/ruby/oniguruma.h